import { ColumnConfig } from 'drizzle-orm';
import { ColumnBuilderConfig } from 'drizzle-orm/column-builder';
import { SQLiteColumn, SQLiteColumnBuilder } from './common';
export declare class SQLiteRealBuilder extends SQLiteColumnBuilder<ColumnBuilderConfig<{
    data: number;
    driverParam: number;
}>> {
}
export declare class SQLiteReal<TTableName extends string> extends SQLiteColumn<ColumnConfig<{
    tableName: TTableName;
    data: number;
    driverParam: number;
}>> {
    protected $sqliteColumnBrand: 'SQLiteInteger';
    getSQLType(): string;
}
export declare function real(name: string): SQLiteRealBuilder;
